<script setup lang="ts">
const { g, p } = useContentInjected()

const props = withDefaults(
  defineProps<{
    class?: string
    ux?: any
    as?: string
    visual?: string
  }>(),
  {
    as: 'link',
    visual: 'heading',
  }
)

const classes = useStyling(
  'scaffoldHeaderBrand',
  {
    base: 'truncate',
  },
  props
)
</script>

<template>
  <XText
    :as="props.as"
    :visual="props.visual"
    :class="classes.base"
    :text="g.scaffold.home.text"
    :margin="false"
    :link-props="{ to: p(g.scaffold.home.link) }"
  />
</template>
